export interface Board {
    asks: BoardItem[];
    bids: BoardItem[];
    maxSize?: number;
}
export interface BoardItem {
    price: number;
    size: number;
}
export default class BoardStore {
    private _asks;
    private _bids;
    private _version;
    private _cacheId;
    private _cache;
    setStapshot({ asks, bids }: Board): void;
    update({ asks, bids }: Board): void;
    getGroupedBoard(decimal: number, groupSize: number, maxPrice: any, minPrice: any): Board;
    readonly available: boolean;
    disable(): void;
}
