import EventEmitter = require("eventemitter3");
export declare const PRICE_AXIS_LABEL_WIDTH = 45;
export declare const TIME_AXIS_HEIGHT = 16;
export declare const DEFAULT_BAR_MARGIN = 3;
export declare const DEFAULT_BAR_WIDTH = 5;
export declare const MARGIN_BAR_COUNT = 3;
export interface RectSize {
    width: number;
    height: number;
}
export default class ChartDimension extends EventEmitter {
    canvasSize: RectSize;
    private _config;
    constructor(options: Options);
    zoom(delta: number): void;
    readonly width: number;
    readonly height: number;
    readonly barWidth: number;
    readonly barMargin: number;
    readonly periodWidth: number;
    readonly barCount: number;
    readonly barAreaRight: number;
}
export interface Config {
    barWidth: number;
    barMargin: number;
}
export declare type Options = Partial<Config>;
