import ChartDimension from "./ChartDimension";
import CandleStore from "./CandleStore";
import { Overlays } from "./Overlay";
export default class ScrollManager {
    private chartDimension;
    private overlays;
    period: number;
    maxIndex: number;
    locked: boolean;
    private _scroll;
    constructor(chartDimension: ChartDimension, candleStore: CandleStore, overlays: Overlays, period: number);
    readonly minIndex: number;
    resetScroll(): void;
    setPeriod(period: any): void;
    scroll: number;
    readonly index: number;
    readonly isDefaultPos: boolean;
}
