import { ConfigSchema, OverlayMap, OverlayModule } from "../OverlayModule";
import { Config, Overlay } from "../Overlay";
export default class SimpleModule implements OverlayModule {
    readonly id: any;
    readonly label: any;
    readonly configSchema: ConfigSchema;
    private overlayClass;
    enabledAsDefault: boolean;
    constructor(id: any, label: any, configSchema: ConfigSchema, overlayClass: OverlayConstructor);
    enable(overlays: OverlayMap, config: any): void;
    disable(overlays: OverlayMap): void;
    update(overlays: OverlayMap, prop: string, value: number): void;
}
export interface OverlayConstructor {
    new (options: Config): Overlay;
}
