import { ColorOption } from "../Kuromaty";
import { Chart } from "../Kuromaty";
import { ChartDimensions, Overlay } from "../Overlay";
export declare class BollingerBand implements Overlay {
    minPeriod: number;
    readonly requiredBackCount: number;
    config: Config;
    constructor(options?: Options);
    draw(chart: Chart, dimensions: ChartDimensions, color: ColorOption): void;
    private calculateBollingerBand;
}
export interface Config {
    periodLength: number;
    factor: number;
    colorKey: string;
}
export declare type Options = Partial<Config>;
