import { ColorOption } from "../Kuromaty";
import { Chart } from "../Kuromaty";
import { ChartDimensions, Overlay } from "../Overlay";
export declare class EMA implements Overlay {
    minPeriod: number;
    readonly requiredBackCount: number;
    config: Config;
    constructor(options?: Options);
    draw(chart: Chart, dimensions: ChartDimensions, colors: ColorOption): void;
    private calculateEMA;
}
export interface Config {
    period: number;
    colorKey: string;
}
export declare type Options = Partial<Config>;
