import { Point } from "../element/Point";
import { TransformParameter } from "../element/Transformable";
export declare class PointHandle {
    readonly point: Point;
    private onMoveTo;
    constructor(point: Point, onMoveTo: MoveFunction);
    hit(point: Point, r: number, transformParameter: TransformParameter): boolean;
    moveTo(x: any, y: any): void;
}
export declare type MoveFunction = (x: number, y: number) => void;
