import { ShapeEditor } from "./ShapeEditor";
import { Ray } from "../element/Ray";
import { Point } from "../element/Point";
import { TransformParameter } from "../element/Transformable";
export declare class RayEditor extends ShapeEditor {
    static createShape(initialPoint: Point): RayEditor;
    readonly shape: Ray;
    constructor(shape: Ray);
    hit(p: Point, r: number, transform: TransformParameter): boolean;
}
