import { ShapeCreator } from "./ShapeCreator";
import { DrawOptions } from "../element/Shape";
import { Point } from "../element/Point";
import { Segment } from "../element/Segment";
import { TransformParameter } from "../element/Transformable";
export declare class SegmentCreator extends ShapeCreator {
    protected shape: Segment;
    onTapOrClick(point: Point): void;
    onMovePointer(point: Point): void;
    draw(ctx: CanvasRenderingContext2D, crop: any, transform: TransformParameter, options: DrawOptions): void;
}
