import { ItemOption } from "flagrate/lib/es6/flagrate/menu";
export interface Option {
    /** target element */
    target?: HTMLElement;
    /** Button items */
    items?: ItemOption[];
}
export declare class ContextMenu {
    items: ItemOption[];
    private _target;
    private _isShowing;
    private _menu;
    private _openHandler;
    private _closeHandler;
    constructor(option?: Option);
    setTarget(target: HTMLElement): this;
    open(e?: MouseEvent): this;
    close(): this;
    /** Tells whether the visibility. */
    visible(): boolean;
    /** remove the elements and listeners. */
    remove(): void;
}
