import { ChartDimensions, Overlay } from "../Overlay";
import { Chart, ColorOption } from "../Kuromaty";
export declare class ChandelierExit implements Overlay {
    minPeriod: number;
    readonly requiredBackCount: number;
    config: Config;
    constructor(options?: Options);
    draw(chart: Chart, dimensions: ChartDimensions, color: ColorOption): void;
    private calculateATR;
}
export interface Config {
    period: number;
    factor: number;
    backCount: number;
    colorKey: string;
}
export declare type Options = Partial<Config>;
