import { ChartDimensions, Overlay } from "../Overlay";
import { ColorOption } from "../Kuromaty";
import { Chart } from "../Kuromaty";
export declare class SMA implements Overlay {
    minPeriod: number;
    readonly requiredBackCount: number;
    config: Config;
    constructor(options?: Options);
    draw(chart: Chart, dimensions: ChartDimensions, colorOption: ColorOption): void;
}
export interface Config {
    period: number;
    colorKey: string;
}
export declare type Options = Partial<Config>;
