import { ShapeCreator } from "./ShapeCreator";
import { DrawOptions } from "../element/Shape";
import { Point } from "../element/Point";
import { Ray } from "../element/Ray";
import { TransformParameter } from "../element/Transformable";
export declare class RayCreator extends ShapeCreator {
    protected shape: Ray;
    onTapOrClick(point: Point): void;
    onMovePointer(point: Point): void;
    draw(ctx: CanvasRenderingContext2D, crop: any, transform: TransformParameter, options: DrawOptions): void;
}
