import { ShapeEditor } from "./ShapeEditor";
import { Segment } from "../element/Segment";
import { Point } from "../element/Point";
import { TransformParameter } from "../element/Transformable";
export declare class SegmentEditor extends ShapeEditor {
    static createShape(initialPoint: Point): SegmentEditor;
    readonly shape: Segment;
    constructor(shape: Segment);
    hit(p: Point, r: number, transform: TransformParameter): boolean;
}
