import { DrawOptions, Rect, Shape, ShapeType } from "./Shape";
import { Point } from "./Point";
import { Segment } from "./Segment";
export declare class Ray implements Shape<Ray> {
    readonly id: string;
    readonly type: ShapeType;
    start: Point;
    passPoint: Point;
    private readonly k;
    private readonly l;
    private readonly n;
    constructor(p1: Point, p2: Point, id?: string);
    distanceFrom(p: Point): number;
    transform(param: any): Ray;
    draw(ctx: CanvasRenderingContext2D, crop: Rect, options: DrawOptions): void;
    crop(rect: Rect): Segment | void;
    private getIntersectionPointsWithRect;
}
