import { DrawOptions, Rect, Shape, ShapeType } from "./Shape";
import { Point } from "./Point";
export declare class Segment implements Shape<Segment> {
    readonly id: string;
    readonly type: ShapeType;
    private _start;
    private _end;
    private k;
    private l;
    private m;
    private n;
    start: Point;
    end: Point;
    constructor(p1: Point, p2: Point, id?: string);
    distanceFrom(p: Point): number;
    transform(param: any): Segment;
    draw(ctx: CanvasRenderingContext2D, crop: Rect, options: DrawOptions): void;
    isInRect(rect: Rect): boolean;
    crop(rect: Rect): Segment | void;
    private update;
    private getIntersectionPointsWithRect;
    private _draw;
}
