export interface TransformParameter {
    moveX?: number;
    moveY?: number;
    scaleX?: number;
    scaleY?: number;
}
export interface Transformable<T> {
    transform(param: TransformParameter): T;
}
export declare function invert(param: TransformParameter): TransformParameter;
export default Transformable;
